d3.select("div.drag-box").call(
  d3.drag().on("drag", drag_box_function)
)



function drag_box_function(d) {
  var old_x = parseFloat(d3.select(this).style("left"), 10)
  var new_x = d3.mouse(this)[0]
  var old_y = parseFloat(d3.select(this).style("top"), 10)
  var new_y = d3.mouse(this)[1]
  d3.select(this).raise()
  d3.select(this).style("left", (old_x + new_x)+"px")
  d3.select(this).style("top", (old_y + new_y)+"px")
}


function setup_dragbox() {
  d3.select("div.drag-box").call(
    d3.drag().on("drag", drag_box_function)
  )
}
