Oasis Classification Output Website Front-End Code was developed on 28.04.2017
by the staff of Stefan Bonn's Lab.

-----
# Note to the user:
Dear User,
The contents within the directory _assets_ contains all css, imgs, js, and json
required for to make the interactive html render. While you are free to explore
and modify these files, the information you most likely seek is under the
directory _ClassificationResults_. We appreciate your use of Oasis 2.0 and wish
that you **cite** us accordingly to support our research efforts as well.
Sincerely,
Staff of Stefan Bonn's Lab

Suggestions? Comments? Please contact us at oasis@dzne.de


-----
# Note to future Oasis developers
All files have some form of inline documentation. Any changes made to these
files should include changes to the inline documentation when required.
In addition, there are some separate markdown files with additional
documentation e.g. _assets/json/about_configuration_files.md_. These too should
be updated accordingly.


### About the html
The main file of the Oasis 2.0 classification output is
_classification_output.html_. A brief look at this file demonstrates sufficient
inline documentation. Further, it should be apparent that the html file is
rather sparse in comparison to the output the user sees. In regards to the body,
 with the exception of the _div.drag-box_, only the main containers of elements
 are defined. As for the head, only the core dependencies are sourced.

To ensure flexibility, the contents of the html are injected via javascript.
Most of the elements are specified under _assets/json/html_configuration.json_.
Since the charts are dependent on the data, chart specific attributes are
specified under its own configuration object in the file
_assets/json/charts_configuration.json_.
